<?xml version="1.0" encoding="UTF-8"?>
<!--

@author pedro.garcia
@description página que sirve como template para las páginas flotantes que deben mover el proceso
            para un trámite de forma individual, o varios trámites que dependen de otro ente (ej: al
            generar el memo de una comisión se mueven todos los trámites que pertenezcan a ella)

@param processMBParam  nombre dado al manageg bean que se usa. Debe ser el ProcessFlowManager u otro
                        que se acomode a esa arquitectura

@param forwardProcessButtonValueParam  nombre del botón que avanza el proceso


Si este template se usa como template de una página que se incluye como p:dialog dentro de otra que
a su vez tiene otro template, se debe hacer haciendo tal página como una 'normal' (no <ui:composition>)
e incluyendo dentro de esta un <ui:decorate> que defina a este (individualProcessCU.xhtml) como su template

OJO: no sirvió pasar un string como parámetro para el action de un botón. Solo aceptó el método de un MB
-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
            <title><ui:insert name="title">.::Sistema Nacional Catastral::.</ui:insert>
            </title>
            <meta content='text/html; charset=UTF-8' http-equiv='Content-Type' />
            <!-- link type="text/css" rel="stylesheet" href="#{request.contextPath}/themes/#{guestPreferences.theme}/skin.css" /-->
            <!-- link type="text/css" rel="stylesheet" href="#{request.contextPath}/css/roller/ui-darkness/theme.css" /-->
            <link type="text/css" rel="stylesheet"
                  href="#{request.contextPath}/css/default.css" />
            <script type="text/javascript" src="#{request.contextPath}/js/newrelic.js"></script>	
            <script src="#{request.contextPath}/js/snc.js"></script>

            <style type="text/css">
                .ui-widget {
                    font-size: 75%;
                }

                .themeMenu {
                    overflow: auto;
                    height: 300px;
                    width: 200px;
                }
            </style>

        </h:head>

        <h:body>
            <h:panelGrid columns="1">           
                <ui:insert name="content">
                </ui:insert>

                <h:form>
                    <fieldset>
                        <p:outputPanel layout="block" style="text-align:right">
                            <h:panelGrid width="100%" columns="2">

                                <h:panelGroup>
                                    <h:outputLabel value="Observaciones:" styleClass="outputLabelStyle"/>
                                    <p:spacer width="5" height="0" />
                                    <h:inputTextarea value="#{processMBParam.comment}" cols="60" rows="1" />
                                    <p:spacer width="100" height="0" />
                                </h:panelGroup>

                                <p:commandButton value="#{forwardProcessButtonValueParam}"
                                                 icon="ui-icon-seek-next"
                                                 action="#{processMBParam.forwardIndividualProcess}" ajax="true"
                                                 update="#{updatableComponentsIdParam}"/>

                                <p:spacer width="10" height="0" />

                                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                                 action="#{processMBParam.getDefaultAction}" ajax="false" immediate="true" />
                            </h:panelGrid>
                        </p:outputPanel>

                    </fieldset>
                </h:form>
            </h:panelGrid>

            <!-- ///GoogleAnalytics/// -->
            <script>
                (function (i, s, o, g, r, a, m) {
                    i['GoogleAnalyticsObject'] = r;
                    i[r] = i[r] || function () {
                        (i[r].q = i[r].q || []).push(arguments)
                    }, i[r].l = 1 * new Date();
                    a = s.createElement(o),
                            m = s.getElementsByTagName(o)[0];
                    a.async = 1;
                    a.src = g;
                    m.parentNode.insertBefore(a, m)
                })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

                ga('create', 'UA-43899828-1', 'igac.gov.co');
                ga('send', 'pageview');

            </script>
            <!-- ///GoogleAnalyticsEnd/// -->
        </h:body>
    </f:view>
</html>

